GitHub deployment failed, what went wrong?

Ok, so I just tried to deploy a GitHub project, and the “Building Application” step failed after 3:30!
The total time spent deploying was 6:27! I’ve copy/pasted the log below

13:12:25.693	Initializing build environment. This may take up to a few minutes to complete
13:15:18.616	Success: Finished initializing build environment
13:15:18.616	Cloning repository...
13:15:22.102	Success: Finished cloning repository files
13:15:22.280	Installing dependencies
13:15:22.282	Python version set to 2.7
13:15:23.130	v12.18.0 is already installed.
13:15:23.547	Now using node v12.18.0 (npm v6.14.4)
13:15:23.586	Started restoring cached build plugins
13:15:23.589	Finished restoring cached build plugins
13:15:23.704	Attempting ruby version 2.7.1, read from environment
13:15:24.618	Using ruby version 2.7.1
13:15:24.623	Using bundler version 2.2.26 from Gemfile.lock
13:15:25.440	Successfully installed bundler-2.2.26
13:15:25.440	1 gem installed
13:15:25.445	Using PHP version 5.6
13:15:25.445	Started restoring cached ruby gems
13:15:25.448	Finished restoring cached ruby gems
13:15:25.448	Installing gem bundle
13:15:25.629	[DEPRECATED] The `--path` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set --local path '/opt/buildhome/cache/bundle'`, and stop using this flag
13:15:25.722	[DEPRECATED] The --binstubs option will be removed in favor of `bundle binstubs --all`
13:15:31.109	Fetching gem metadata from https://rubygems.org/.........
13:15:31.119	Fetching https://github.com/discourse/mail.git
13:15:32.244	Fetching rake 13.0.6
13:15:32.291	Installing rake 13.0.6
13:15:32.372	Fetching concurrent-ruby 1.1.9
13:15:32.373	Fetching minitest 5.14.4
13:15:32.414	Installing minitest 5.14.4
13:15:32.434	Installing concurrent-ruby 1.1.9
13:15:32.470	Fetching zeitwerk 2.5.1
13:15:32.506	Installing zeitwerk 2.5.1
13:15:32.541	Fetching builder 3.2.4
13:15:32.579	Installing builder 3.2.4
13:15:32.615	Fetching erubi 1.10.0
13:15:32.629	Fetching racc 1.6.0
13:15:32.649	Installing erubi 1.10.0
13:15:32.662	Fetching crass 1.0.6
13:15:32.669	Installing racc 1.6.0 with native extensions
13:15:32.700	Installing crass 1.0.6
13:15:33.522	Fetching rack 2.2.3
13:15:33.526	Fetching mini_mime 1.1.2
13:15:33.560	Installing mini_mime 1.1.2
13:15:33.578	Installing rack 2.2.3
13:15:33.593	Fetching public_suffix 4.0.6
13:15:33.643	Installing public_suffix 4.0.6
13:15:33.661	Fetching ast 2.4.2
13:15:33.694	Fetching aws-eventstream 1.2.0
13:15:33.698	Installing ast 2.4.2
13:15:33.717	Fetching aws-partitions 1.516.0
13:15:33.730	Installing aws-eventstream 1.2.0
13:15:33.746	Fetching jmespath 1.4.0
13:15:33.751	Installing aws-partitions 1.516.0
13:15:33.771	Fetching ember-source 2.18.2
13:15:33.780	Installing jmespath 1.4.0
13:15:33.804	Fetching execjs 2.8.1
13:15:33.835	Installing execjs 2.8.1
13:15:33.893	Fetching coderay 1.1.3
13:15:33.935	Installing coderay 1.1.3
13:15:33.953	Installing ember-source 2.18.2
13:15:34.034	Fetching debug_inspector 1.1.0
13:15:34.066	Installing debug_inspector 1.1.0 with native extensions
13:15:34.471	Fetching msgpack 1.4.2
13:15:34.472	Fetching uniform_notifier 1.14.2
13:15:34.507	Installing uniform_notifier 1.14.2
13:15:34.525	Installing msgpack 1.4.2 with native extensions
13:15:34.563	Using bundler 2.2.26
13:15:34.572	Fetching byebug 11.1.3
13:15:34.616	Installing byebug 11.1.3 with native extensions
13:15:39.564	Fetching cbor 0.5.9.6
13:15:39.571	Fetching certified 1.0.0
13:15:39.603	Installing cbor 0.5.9.6 with native extensions
13:15:39.617	Installing certified 1.0.0
13:15:39.649	Fetching chunky_png 1.4.0
13:15:39.872	Installing chunky_png 1.4.0
13:15:43.018	Fetching colored2 3.1.2
13:15:43.025	Fetching connection_pool 2.2.5
13:15:43.050	Installing colored2 3.1.2
13:15:43.056	Installing connection_pool 2.2.5
13:15:43.082	Fetching ipaddr 1.2.3
13:15:43.093	Fetching cppjieba_rb 0.3.3
13:15:43.114	Installing ipaddr 1.2.3
13:15:43.124	Fetching rexml 3.2.5
13:15:43.162	Installing rexml 3.2.5
13:15:43.273	Fetching diff-lcs 1.4.4
13:15:43.317	Installing diff-lcs 1.4.4
13:15:43.369	Fetching diffy 3.4.0
13:15:43.399	Installing diffy 3.4.0
13:15:43.423	Fetching method_source 1.0.0
13:15:43.453	Installing method_source 1.0.0
13:15:43.475	Fetching thor 1.1.0
13:15:43.512	Installing thor 1.1.0
13:15:43.546	Installing cppjieba_rb 0.3.3 with native extensions
13:15:43.583	Fetching discourse-ember-source 3.12.2.3
13:15:44.221	Installing discourse-ember-source 3.12.2.3
13:15:49.178	Fetching discourse-fonts 0.0.9
13:15:49.183	Fetching literate_randomizer 0.4.0
13:15:49.429	Installing literate_randomizer 0.4.0
13:15:49.496	Fetching docile 1.4.0
13:15:49.544	Installing docile 1.4.0
13:15:49.570	Fetching regexp_parser 2.2.0
13:15:49.615	Installing regexp_parser 2.2.0
13:15:49.744	Fetching email_reply_trimmer 0.1.13
13:15:49.779	Installing email_reply_trimmer 0.1.13
13:15:49.804	Installing discourse-fonts 0.0.9
13:15:50.029	Fetching excon 0.89.0
13:15:50.121	Installing excon 0.89.0
13:15:50.168	Fetching exifr 1.3.9
13:15:50.227	Installing exifr 1.3.9
13:15:50.274	Fetching fabrication 2.23.0
13:15:50.307	Installing fabrication 2.23.0
13:15:50.343	Fetching fakeweb 1.3.0
13:15:50.450	Installing fakeweb 1.3.0
13:15:50.509	Fetching faraday-em_http 1.0.0
13:15:50.527	Fetching faraday-em_synchrony 1.0.0
13:15:50.544	Installing faraday-em_http 1.0.0
13:15:50.557	Fetching faraday-excon 1.1.0
13:15:50.561	Installing faraday-em_synchrony 1.0.0
13:15:50.577	Fetching faraday-httpclient 1.0.1
13:15:50.595	Installing faraday-excon 1.1.0
13:15:50.608	Fetching faraday-net_http 1.0.1
13:15:50.611	Installing faraday-httpclient 1.0.1
13:15:50.626	Fetching faraday-net_http_persistent 1.2.0
13:15:50.647	Installing faraday-net_http 1.0.1
13:15:50.662	Fetching faraday-patron 1.0.0
13:15:50.662	Installing faraday-net_http_persistent 1.2.0
13:15:50.677	Fetching faraday-rack 1.0.0
13:15:50.697	Installing faraday-patron 1.0.0
13:15:50.707	Installing faraday-rack 1.0.0
13:15:50.717	Fetching multipart-post 2.1.1
13:15:50.729	Fetching ruby2_keywords 0.0.5
13:15:50.748	Installing multipart-post 2.1.1
13:15:50.758	Installing ruby2_keywords 0.0.5
13:15:50.781	Fetching fast_blank 1.0.1
13:15:50.785	Fetching fast_xs 0.8.0
13:15:50.814	Installing fast_blank 1.0.1 with native extensions
13:15:50.932	Installing fast_xs 0.8.0 with native extensions
13:15:51.957	Fetching fastimage 2.2.5
13:15:51.965	Fetching ffi 1.15.4
13:15:51.994	Installing fastimage 2.2.5
13:15:52.023	Fetching fspath 3.1.2
13:15:52.058	Installing fspath 3.1.2
13:15:52.063	Installing ffi 1.15.4 with native extensions
13:15:52.087	Fetching gc_tracer 1.5.1
13:15:52.198	Installing gc_tracer 1.5.1 with native extensions
13:16:00.638	Fetching guess_html_encoding 0.0.11
13:16:00.639	Fetching hana 1.3.7
13:16:00.677	Installing guess_html_encoding 0.0.11
13:16:00.693	Fetching hashdiff 1.0.1
13:16:00.696	Installing hana 1.3.7
13:16:00.715	Fetching hashie 4.1.0
13:16:00.729	Installing hashdiff 1.0.1
13:16:00.754	Fetching highline 2.0.3
13:16:00.755	Installing hashie 4.1.0
13:16:00.790	Fetching hkdf 0.3.0
13:16:00.806	Installing highline 2.0.3
13:16:00.820	Installing hkdf 0.3.0
13:16:00.841	Fetching htmlentities 4.3.4
13:16:00.869	Fetching http_accept_language 2.1.1
13:16:00.879	Installing htmlentities 4.3.4
13:16:00.899	Fetching image_size 3.0.1
13:16:00.903	Installing http_accept_language 2.1.1
13:16:00.923	Fetching in_threads 1.5.4
13:16:00.950	Installing image_size 3.0.1
13:16:00.963	Installing in_threads 1.5.4
13:16:00.990	Fetching progress 3.6.0
13:16:01.018	Fetching json 2.6.1
13:16:01.031	Installing progress 3.6.0
13:16:01.051	Fetching uri_template 0.7.0
13:16:01.057	Installing json 2.6.1 with native extensions
13:16:01.085	Installing uri_template 0.7.0
13:16:02.167	Fetching jwt 2.3.0
13:16:02.198	Installing jwt 2.3.0
13:16:03.259	Fetching kgio 2.11.4
13:16:03.266	Fetching libv8-node 16.10.0.0 (x86_64-linux)
13:16:03.301	Installing kgio 2.11.4 with native extensions
13:16:04.448	Installing libv8-node 16.10.0.0 (x86_64-linux)
13:16:09.200	Fetching rb-fsevent 0.11.0
13:16:09.202	Fetching logstash-event 1.2.02
13:16:09.235	Installing logstash-event 1.2.02
13:16:09.245	Installing rb-fsevent 0.11.0
13:16:09.259	Fetching logster 2.10.1
13:16:09.281	Fetching lru_redux 1.1.0
13:16:09.311	Installing lru_redux 1.1.0
13:16:09.344	Fetching lz4-ruby 0.3.3
13:16:09.355	Installing logster 2.10.1
13:16:09.444	Installing lz4-ruby 0.3.3 with native extensions
13:16:09.488	Fetching maxminddb 0.1.22
13:16:09.522	Installing maxminddb 0.1.22
13:16:11.418	Fetching memory_profiler 1.0.0
13:16:11.422	Fetching redis 4.5.1
13:16:11.457	Installing memory_profiler 1.0.0
13:16:11.468	Installing redis 4.5.1
13:16:11.488	Fetching mini_sql 1.1.3
13:16:11.509	Fetching mocha 1.13.0
13:16:11.525	Installing mini_sql 1.1.3
13:16:11.672	Installing mocha 1.13.0
13:16:11.732	Fetching multi_json 1.15.0
13:16:11.764	Installing multi_json 1.15.0
13:16:11.807	Fetching multi_xml 0.6.0
13:16:11.814	Fetching mustache 1.1.1
13:16:11.839	Installing multi_xml 0.6.0
13:16:11.852	Installing mustache 1.1.1
13:16:11.869	Fetching nio4r 2.5.8
13:16:11.909	Fetching oauth 0.5.8
13:16:11.918	Installing nio4r 2.5.8 with native extensions
13:16:11.946	Installing oauth 0.5.8
13:16:14.350	Fetching oj 3.13.2
13:16:14.356	Fetching optimist 3.0.1
13:16:14.388	Installing optimist 3.0.1
13:16:14.409	Installing oj 3.13.2 with native extensions
13:16:14.423	Fetching parallel 1.21.0
13:16:14.455	Installing parallel 1.21.0
13:16:14.475	Fetching pg 1.2.3
13:16:14.534	Installing pg 1.2.3 with native extensions
13:16:26.309	Fetching r2 0.2.7
13:16:26.315	Fetching rainbow 3.0.0
13:16:26.343	Installing r2 0.2.7
13:16:26.347	Installing rainbow 3.0.0
13:16:26.376	Fetching raindrops 0.20.0
13:16:26.394	Fetching rchardet 1.8.0
13:16:26.417	Installing raindrops 0.20.0 with native extensions
13:16:26.442	Installing rchardet 1.8.0
13:16:33.022	Fetching rinku 2.0.6
13:16:33.027	Fetching rotp 6.2.0
13:16:33.058	Installing rinku 2.0.6 with native extensions
13:16:33.066	Installing rotp 6.2.0
13:16:33.802	Fetching rqrcode_core 1.2.0
13:16:33.808	Fetching rspec-support 3.10.3
13:16:33.834	Installing rqrcode_core 1.2.0
13:16:33.842	Installing rspec-support 3.10.3
13:16:33.880	Fetching rtlit 0.0.5
13:16:33.898	Fetching ruby-progressbar 1.11.0
13:16:33.928	Installing ruby-progressbar 1.11.0
13:16:33.949	Fetching unicode-display_width 2.1.0
13:16:33.976	Installing unicode-display_width 2.1.0
13:16:33.990	Fetching ruby-prof 1.4.3
13:16:34.027	Installing rtlit 0.0.5
13:16:34.036	Installing ruby-prof 1.4.3 with native extensions
13:16:36.002	Fetching rubyzip 2.3.2
13:16:36.009	Fetching tilt 2.0.10
13:16:36.042	Installing rubyzip 2.3.2
13:16:36.043	Installing tilt 2.0.10
13:16:36.120	Fetching simplecov-html 0.12.3
13:16:36.131	Fetching simplecov_json_formatter 0.1.3
13:16:36.159	Installing simplecov_json_formatter 0.1.3
13:16:36.171	Fetching sshkey 2.0.0
13:16:36.198	Installing simplecov-html 0.12.3
13:16:36.210	Installing sshkey 2.0.0
13:16:36.238	Fetching stackprof 0.2.17
13:16:36.281	Fetching test-prof 1.0.7
13:16:36.282	Installing stackprof 0.2.17 with native extensions
13:16:36.340	Installing test-prof 1.0.7
13:16:37.449	Fetching unf_ext 0.0.8
13:16:37.458	Fetching xorcist 1.1.2
13:16:37.487	Installing xorcist 1.1.2 with native extensions
13:16:37.516	Installing unf_ext 0.0.8 with native extensions
13:16:39.874	Fetching yaml-lint 0.0.10
13:16:39.878	Fetching i18n 1.8.11
13:16:39.909	Installing yaml-lint 0.0.10
13:16:39.917	Installing i18n 1.8.11
13:16:39.928	Fetching tzinfo 2.0.4
13:16:39.963	Fetching nokogiri 1.12.5 (x86_64-linux)
13:16:39.974	Installing tzinfo 2.0.4
13:16:40.015	Using mail 2.8.0.edge from https://github.com/discourse/mail.git (at [email protected])
13:16:40.022	Fetching rack-test 1.1.0
13:16:40.079	Installing rack-test 1.1.0
13:16:40.107	Fetching sprockets 3.7.2
13:16:40.147	Installing sprockets 3.7.2
13:16:40.218	Fetching request_store 1.5.0
13:16:40.229	Installing nokogiri 1.12.5 (x86_64-linux)
13:16:40.254	Installing request_store 1.5.0
13:16:40.280	Fetching message_bus 3.3.6
13:16:40.357	Installing message_bus 3.3.6
13:16:40.561	Fetching rack-mini-profiler 2.3.3
13:16:40.626	Installing rack-mini-profiler 2.3.3
13:16:40.739	Fetching rack-protection 2.1.0
13:16:40.769	Fetching addressable 2.8.0
13:16:40.775	Installing rack-protection 2.1.0
13:16:40.797	Fetching parser 3.0.3.2
13:16:40.815	Installing addressable 2.8.0
13:16:40.843	Fetching aws-sigv4 1.4.0
13:16:40.873	Installing aws-sigv4 1.4.0
13:16:40.881	Installing parser 3.0.3.2
13:16:40.899	Fetching uglifier 4.2.0
13:16:40.950	Installing uglifier 4.2.0
13:16:41.002	Fetching better_errors 2.9.1
13:16:41.017	Fetching barber 0.12.2
13:16:41.036	Installing better_errors 2.9.1
13:16:41.075	Installing barber 0.12.2
13:16:41.109	Fetching ember-data-source 3.0.2
13:16:41.121	Fetching binding_of_caller 1.0.0
13:16:41.149	Installing binding_of_caller 1.0.0
13:16:41.177	Fetching bootsnap 1.9.3
13:16:41.183	Installing ember-data-source 3.0.2
13:16:41.210	Installing bootsnap 1.9.3 with native extensions
13:16:41.221	Fetching openssl 2.2.1
13:16:41.283	Installing openssl 2.2.1 with native extensions
13:17:08.508	Fetching crack 0.4.5
13:17:08.512	Fetching rss 0.2.9
13:17:08.542	Installing crack 0.4.5
13:17:08.556	Fetching pry 0.13.1
13:17:08.564	Installing rss 0.2.9
13:17:08.608	Installing pry 0.13.1
13:17:08.655	Fetching ecma-re-validator 0.3.0
13:17:08.689	Installing ecma-re-validator 0.3.0
13:17:08.732	Fetching faraday 1.8.0
13:17:08.761	Fetching mock_redis 0.29.0
13:17:08.775	Installing faraday 1.8.0
13:17:08.803	Installing mock_redis 0.29.0
13:17:08.901	Fetching rb-inotify 0.10.1
13:17:08.937	Installing rb-inotify 0.10.1
13:17:08.976	Fetching mini_suffix 0.3.3
13:17:09.001	Fetching sassc 2.0.1
13:17:09.034	Installing mini_suffix 0.3.3
13:17:09.067	Installing sassc 2.0.1 with native extensions
13:17:09.079	Fetching omniauth 1.9.1
13:17:09.111	Installing omniauth 1.9.1
13:17:09.158	Fetching image_optim 0.31.1
13:17:09.221	Installing image_optim 0.31.1
13:18:33.002	Fetching webpush 1.1.0
13:18:33.003	Fetching mini_racer 0.5.0
13:18:33.053	Installing webpush 1.1.0
13:18:33.058	Installing mini_racer 0.5.0 with native extensions
13:18:33.094	Fetching logstash-logger 0.26.1
13:18:33.132	Installing logstash-logger 0.26.1
13:18:37.710	Fetching sidekiq 6.3.1
13:18:37.715	Fetching redis-namespace 1.8.1
13:18:37.768	Installing redis-namespace 1.8.1
13:18:37.789	Fetching puma 5.5.2
13:18:37.794	Installing sidekiq 6.3.1
13:18:37.842	Installing puma 5.5.2 with native extensions
13:18:37.913	Fetching rbtrace 0.4.14
13:18:37.982	Installing rbtrace 0.4.14 with native extensions
13:18:45.125	Fetching parallel_tests 3.7.3
13:18:45.132	Fetching unicorn 6.0.0
13:18:45.158	Installing parallel_tests 3.7.3
13:18:45.186	Installing unicorn 6.0.0 with native extensions
13:18:45.199	Fetching rqrcode 2.1.0
13:18:45.247	Installing rqrcode 2.1.0
13:18:45.299	Fetching rspec-core 3.10.1
13:18:45.350	Installing rspec-core 3.10.1
13:18:47.232	Fetching rspec-expectations 3.10.1
13:18:47.239	Fetching rspec-mocks 3.10.2
13:18:47.277	Installing rspec-expectations 3.10.1
13:18:47.281	Installing rspec-mocks 3.10.2
13:18:47.369	Fetching simplecov 0.21.2
13:18:47.377	Fetching unf 0.1.4
13:18:47.406	Installing simplecov 0.21.2
13:18:47.423	Installing unf 0.1.4
13:18:47.468	Fetching faker 2.19.0
13:18:47.478	Fetching activesupport 6.1.4.1
13:18:47.536	Installing activesupport 6.1.4.1
13:18:47.610	Installing faker 2.19.0
13:18:47.840	Fetching loofah 2.13.0
13:18:47.879	Installing loofah 2.13.0
13:18:47.922	Fetching ruby-readability 0.7.0
13:18:48.052	Installing ruby-readability 0.7.0
13:18:48.141	Fetching sanitize 6.0.0
13:18:48.180	Installing sanitize 6.0.0
13:18:48.186	Fetching css_parser 1.11.0
13:18:48.210	Fetching json-schema 2.8.1
13:18:48.223	Installing css_parser 1.11.0
13:18:48.241	Fetching aws-sdk-core 3.121.2
13:18:48.248	Installing json-schema 2.8.1
13:18:48.302	Fetching rubocop-ast 1.15.0
13:18:48.308	Installing aws-sdk-core 3.121.2
13:18:48.341	Installing rubocop-ast 1.15.0
13:18:48.501	Fetching ember-handlebars-template 0.8.0
13:18:48.537	Installing ember-handlebars-template 0.8.0
13:18:48.554	Fetching openssl-signature_algorithm 1.1.1
13:18:48.565	Fetching webmock 3.14.0
13:18:48.588	Installing openssl-signature_algorithm 1.1.1
13:18:48.614	Fetching json_schemer 0.2.18
13:18:48.618	Installing webmock 3.14.0
13:18:48.647	Installing json_schemer 0.2.18
13:18:48.690	Fetching pry-byebug 3.9.0
13:18:48.726	Installing pry-byebug 3.9.0
13:18:48.777	Fetching pry-rails 0.3.9
13:18:48.780	Fetching oauth2 1.4.7
13:18:48.818	Installing oauth2 1.4.7
13:18:48.820	Installing pry-rails 0.3.9
13:18:48.882	Fetching listen 3.7.0
13:18:48.901	Fetching omniauth-oauth 1.2.0
13:18:48.920	Installing listen 3.7.0
13:18:48.933	Installing omniauth-oauth 1.2.0
13:18:48.965	Fetching mini_scheduler 0.13.0
13:18:48.979	Fetching rspec 3.10.0
13:18:49.000	Installing mini_scheduler 0.13.0
13:18:49.014	Installing rspec 3.10.0
13:18:49.034	Fetching rails-dom-testing 2.0.3
13:18:49.038	Fetching globalid 1.0.0
13:18:49.071	Installing rails-dom-testing 2.0.3
13:18:49.074	Installing globalid 1.0.0
13:18:49.106	Fetching activemodel 6.1.4.1
13:18:49.111	Fetching bullet 6.1.5
13:18:49.144	Installing bullet 6.1.5
13:18:49.152	Installing activemodel 6.1.4.1
13:18:49.260	Fetching shoulda-matchers 5.0.0
13:18:49.288	Fetching rails-html-sanitizer 1.4.2
13:18:49.303	Installing shoulda-matchers 5.0.0
13:18:49.319	Installing rails-html-sanitizer 1.4.2
13:18:49.345	Fetching discourse_dev_assets 0.0.3
13:18:49.401	Installing discourse_dev_assets 0.0.3
13:18:49.444	Fetching rubocop 1.23.0
13:18:49.454	Fetching aws-sdk-kms 1.44.0
13:18:49.502	Installing aws-sdk-kms 1.44.0
13:18:49.525	Installing rubocop 1.23.0
13:18:49.528	Fetching aws-sdk-sns 1.46.0
13:18:49.577	Installing aws-sdk-sns 1.46.0
13:18:49.636	Fetching cose 1.2.0
13:18:49.762	Installing cose 1.2.0
13:18:49.837	Fetching omniauth-oauth2 1.7.2
13:18:49.871	Installing omniauth-oauth2 1.7.2
13:18:49.905	Fetching omniauth-twitter 1.4.0
13:18:49.941	Installing omniauth-twitter 1.4.0
13:18:49.972	Fetching rspec-html-matchers 0.9.4
13:18:50.008	Installing rspec-html-matchers 0.9.4
13:18:50.047	Fetching activejob 6.1.4.1
13:18:50.084	Installing activejob 6.1.4.1
13:18:50.178	Fetching active_model_serializers 0.8.4
13:18:50.202	Fetching activerecord 6.1.4.1
13:18:50.213	Installing active_model_serializers 0.8.4
13:18:50.238	Fetching actionview 6.1.4.1
13:18:50.268	Installing activerecord 6.1.4.1
13:18:50.298	Installing actionview 6.1.4.1
13:18:50.495	Fetching aws-sdk-s3 1.96.1
13:18:50.567	Installing aws-sdk-s3 1.96.1
13:18:50.758	Fetching omniauth-facebook 9.0.0
13:18:50.774	Fetching omniauth-github 1.4.0
13:18:50.793	Installing omniauth-facebook 9.0.0
13:18:50.806	Installing omniauth-github 1.4.0
13:18:50.833	Fetching omniauth-google-oauth2 0.8.2
13:18:50.839	Fetching rubocop-rspec 2.6.0
13:18:50.864	Installing omniauth-google-oauth2 0.8.2
13:18:51.029	Fetching actionpack 6.1.4.1
13:18:51.031	Installing rubocop-rspec 2.6.0
13:18:51.092	Installing actionpack 6.1.4.1
13:18:51.152	Fetching actionview_precompiler 0.2.3
13:18:51.188	Installing actionview_precompiler 0.2.3
13:18:51.215	Fetching annotate 3.1.1
13:18:51.251	Installing annotate 3.1.1
13:18:51.286	Fetching seed-fu 2.3.9
13:18:51.293	Fetching rubocop-discourse 2.5.0
13:18:51.317	Installing seed-fu 2.3.9
13:18:51.324	Installing rubocop-discourse 2.5.0
13:18:51.351	Fetching actionmailer 6.1.4.1
13:18:51.369	Fetching railties 6.1.4.1
13:18:51.386	Installing actionmailer 6.1.4.1
13:18:51.406	Fetching sprockets-rails 3.4.2
13:18:51.434	Installing railties 6.1.4.1
13:18:51.447	Installing sprockets-rails 3.4.2
13:18:51.668	Fetching lograge 0.11.2
13:18:51.668	Fetching jquery-rails 4.4.0
13:18:51.701	Installing lograge 0.11.2
13:18:51.723	Fetching rails_failover 0.7.3
13:18:51.742	Installing jquery-rails 4.4.0
13:18:51.760	Installing rails_failover 0.7.3
13:18:51.803	Fetching rails_multisite 4.0.0
13:18:51.822	Fetching rspec-rails 5.0.2
13:18:51.833	Installing rails_multisite 4.0.0
13:18:51.846	Fetching rswag-specs 2.4.0
13:18:51.860	Installing rspec-rails 5.0.2
13:18:51.878	Installing rswag-specs 2.4.0
13:18:51.921	Fetching sassc-rails 2.1.2
13:18:51.961	Installing sassc-rails 2.1.2
13:18:51.974	Fetching discourse-ember-rails 0.18.6
13:18:52.015	Installing discourse-ember-rails 0.18.6
13:18:52.073	Gem::Ext::BuildError: ERROR: Failed to build gem native extension.
13:18:52.073	
13:18:52.073	    current directory: /opt/buildhome/cache/bundle/ruby/2.7.0/gems/pg-1.2.3/ext
13:18:52.073	/opt/buildhome/.rvm/rubies/ruby-2.7.1/bin/ruby -I
13:18:52.073	/opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0 -r
13:18:52.073	./siteconf20220110-1388-15k0aho.rb extconf.rb
13:18:52.073	checking for pg_config... no
13:18:52.073	No pg_config... trying anyway. If building fails, please try again with
13:18:52.073	 --with-pg-config=/path/to/pg_config
13:18:52.073	checking for libpq-fe.h... no
13:18:52.073	Can't find the 'libpq-fe.h header
13:18:52.073	*** extconf.rb failed ***
13:18:52.073	Could not create Makefile due to some reason, probably lack of necessary
13:18:52.073	libraries and/or headers.  Check the mkmf.log file for more details.  You may
13:18:52.073	need configuration options.
13:18:52.073	
13:18:52.073	Provided configuration options:
13:18:52.073		--with-opt-dir
13:18:52.073		--without-opt-dir
13:18:52.073		--with-opt-include
13:18:52.073		--without-opt-include=${opt-dir}/include
13:18:52.073		--with-opt-lib
13:18:52.073		--without-opt-lib=${opt-dir}/lib
13:18:52.073		--with-make-prog
13:18:52.073		--without-make-prog
13:18:52.073		--srcdir=.
13:18:52.073		--curdir
13:18:52.073		--ruby=/opt/buildhome/.rvm/rubies/ruby-2.7.1/bin/$(RUBY_BASE_NAME)
13:18:52.073		--with-pg
13:18:52.073		--without-pg
13:18:52.073		--enable-windows-cross
13:18:52.073		--disable-windows-cross
13:18:52.073		--with-pg-config
13:18:52.073		--without-pg-config
13:18:52.073		--with-pg_config
13:18:52.073		--without-pg_config
13:18:52.073		--with-pg-dir
13:18:52.073		--without-pg-dir
13:18:52.073		--with-pg-include
13:18:52.073		--without-pg-include=${pg-dir}/include
13:18:52.073		--with-pg-lib
13:18:52.073		--without-pg-lib=${pg-dir}/lib
13:18:52.073	
13:18:52.073	To see why this extension failed to compile, please check the mkmf.log which can
13:18:52.073	be found here:
13:18:52.073	
13:18:52.073	/opt/buildhome/cache/bundle/ruby/2.7.0/extensions/x86_64-linux/2.7.0/pg-1.2.3/mkmf.log
13:18:52.073	
13:18:52.073	extconf failed, exit code 1
13:18:52.073	
13:18:52.073	Gem files will remain installed in
13:18:52.073	/opt/buildhome/cache/bundle/ruby/2.7.0/gems/pg-1.2.3 for inspection.
13:18:52.073	Results logged to
13:18:52.073	/opt/buildhome/cache/bundle/ruby/2.7.0/extensions/x86_64-linux/2.7.0/pg-1.2.3/gem_make.out
13:18:52.073	
13:18:52.073	/opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0/rubygems/ext/builder.rb:97:in
13:18:52.073	`run'
13:18:52.073	/opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0/rubygems/ext/ext_conf_builder.rb:48:in
13:18:52.073	`block in build'
13:18:52.073	  /opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0/tempfile.rb:291:in `open'
13:18:52.073	/opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0/rubygems/ext/ext_conf_builder.rb:30:in
13:18:52.073	`build'
13:18:52.073	/opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0/rubygems/ext/builder.rb:167:in
13:18:52.073	`block in build_extension'
13:18:52.073	/opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0/rubygems/ext/builder.rb:163:in
13:18:52.073	`synchronize'
13:18:52.073	/opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0/rubygems/ext/builder.rb:163:in
13:18:52.073	`build_extension'
13:18:52.073	/opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0/rubygems/ext/builder.rb:208:in
13:18:52.073	`block in build_extensions'
13:18:52.073	/opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0/rubygems/ext/builder.rb:205:in
13:18:52.073	`each'
13:18:52.073	/opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0/rubygems/ext/builder.rb:205:in
13:18:52.073	`build_extensions'
13:18:52.073	/opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0/rubygems/installer.rb:844:in
13:18:52.073	`build_extensions'
13:18:52.073	/opt/buildhome/.rvm/gems/ruby-2.7.1/gems/bundler-2.2.26/lib/bundler/rubygems_gem_installer.rb:66:in
13:18:52.073	`build_extensions'
13:18:52.073	/opt/buildhome/.rvm/gems/ruby-2.7.1/gems/bundler-2.2.26/lib/bundler/rubygems_gem_installer.rb:26:in
13:18:52.073	`install'
13:18:52.073	/opt/buildhome/.rvm/gems/ruby-2.7.1/gems/bundler-2.2.26/lib/bundler/source/rubygems.rb:192:in
13:18:52.073	`install'
13:18:52.073	/opt/buildhome/.rvm/gems/ruby-2.7.1/gems/bundler-2.2.26/lib/bundler/installer/gem_installer.rb:54:in
13:18:52.073	`install'
13:18:52.073	/opt/buildhome/.rvm/gems/ruby-2.7.1/gems/bundler-2.2.26/lib/bundler/installer/gem_installer.rb:16:in
13:18:52.073	`install_from_spec'
13:18:52.073	/opt/buildhome/.rvm/gems/ruby-2.7.1/gems/bundler-2.2.26/lib/bundler/installer/parallel_installer.rb:186:in
13:18:52.073	`do_install'
13:18:52.073	/opt/buildhome/.rvm/gems/ruby-2.7.1/gems/bundler-2.2.26/lib/bundler/installer/parallel_installer.rb:177:in
13:18:52.074	`block in worker_pool'
13:18:52.074	/opt/buildhome/.rvm/gems/ruby-2.7.1/gems/bundler-2.2.26/lib/bundler/worker.rb:62:in
13:18:52.074	`apply_func'
13:18:52.074	/opt/buildhome/.rvm/gems/ruby-2.7.1/gems/bundler-2.2.26/lib/bundler/worker.rb:57:in
13:18:52.074	`block in process_queue'
13:18:52.074	/opt/buildhome/.rvm/gems/ruby-2.7.1/gems/bundler-2.2.26/lib/bundler/worker.rb:54:in
13:18:52.074	`loop'
13:18:52.074	/opt/buildhome/.rvm/gems/ruby-2.7.1/gems/bundler-2.2.26/lib/bundler/worker.rb:54:in
13:18:52.074	`process_queue'
13:18:52.074	/opt/buildhome/.rvm/gems/ruby-2.7.1/gems/bundler-2.2.26/lib/bundler/worker.rb:91:in
13:18:52.074	`block (2 levels) in create_threads'
13:18:52.074	
13:18:52.074	An error occurred while installing pg (1.2.3), and Bundler cannot continue.
13:18:52.074	
13:18:52.074	In Gemfile:
13:18:52.074	  pg
13:18:52.126	Error during gem install
13:18:52.128	Failed: build command exited with code: 1

Also if it helps, a link to my GitHub project is below

Also, here are my build settings

image

And in case someone that works at Cloudflare knows what to do, I’ve enabled the option to allow Cloudflare employees to edit my account!

So, what do I do? I’ll be looking forward to a reply!

I am pretty sure Discourse won’t work on Pages… it’s static file hosting, with an integrated build step. Discourse requires a full on server or similar.

3 Likes

So even IF I sucessfully deploy it, it’s basically useless?

It won’t deploy at all… but yeah, totally useless as it will not work and will not serve a single file.

1 Like

So there HAS to be at least 1 serveable file in order for successful deployment?

No, it needs to first be able to support all packages it needs to install (which seems to work here) and the build command needs to actually exist, but it doesn’t here.

Also it needs to produce some static files that can be served.

2 Likes

So I could try and create something from a GoDaddy site I made (just create another GitHub project and just have it fetch the website)! But Discourse won’t work (because there are several things wrong!)

More or less, yeah…

1 Like

Hey, while this topic is open, do Cloudflare security features (I.E: Rate-limiting, DDOS alerts, etc.) apply to GitHub pages?

It might, however, it’s not needed due to the nature of the implementation. Cloudflare would absorb any attack.
It’s only problematic if the pages consume workers or other assets that cost you money; in that case, it would make sense to implement a rate limit, captcha, or similar.

2 Likes

Well, I’ve deployed it and updated the CNAME but when I try to visit the site I get this error

The deployments have been successful so far!

Does anyone know what is causing this and what I should do to fix it?

Have added the custom domain to Pages?

Yes, I have! Why, do I need to remove it?

It returns 404 even going directly, something is wrong with your repo.

What’s that? Respiratory?

The GitHub repository.

1 Like

So what in particular do I need to look for to help fix this issue (with the repo)?

I looked at the repository. I am not sure you are fully understanding what GitHub and Pages do…

That repo will definitely never work, anywhere. I would look and search around for tutorials on doing this, Netlify/Vercel are similar tools that can be used as search terms as well.

6 Likes

Yeah, that’s true I’m not that technical (I mean I understand Cloudflare, but NOT GitHub and Pages)

That being until I correct it!

Yeah. I might do that!

A fancy web interface to a hosted Git instance. Plus a few additional tools around that.

I assume you are familiar with Git.

Basically a modern (and more complicated) version of Geocities. It allows you to deploy static HTML content to Cloudflare’s infrastructure. In that case Cloudflare is actually a host. Not really familiar with the product either though.

2 Likes